Viewing Issue Advanced Details Jump to Notes ] [ View Source: namcos22.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02008 Crash/Freeze Critical (emulator) Always 2008-07-14 07:42 2011-09-08 23:47
Tester Chine View Status Public Platform MAMEUI
Assigned To hap Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved   Driver namcos22.c
Version 0.126 Fixed in Version 0.143u6 Build Normal
Summary 02008: acedrvrw, victlapw: The 2 Ace Drivers game crash during attract mode
Description For acedrvrw, just wait 30" and it will crash. For victlapw, it's longer.
Steps To Reproduce
Additional Information Backtrace for acedrvrw:
#0 0x006d2829 in GetPolyData (addr=366739) at src/mame/video/namcos22.c:1027
        result = 1049387756
#1 0x006d2829 in GetPolyData (addr=120637584)
    at src/mame/video/namcos22.c:1027
        result = 366626
#2 0x006d2829 in GetPolyData (addr=120637584)
    at src/mame/video/namcos22.c:1027
        result = 366626
#3 0x006d2829 in GetPolyData (addr=120637584)
    at src/mame/video/namcos22.c:1027
        result = 1065353216
#4 0x006d2829 in GetPolyData (addr=120637584)
    at src/mame/video/namcos22.c:1027
        result = 120629304
#5 0x006d2829 in GetPolyData (addr=120637584)
    at src/mame/video/namcos22.c:1027
        result = 0
#6 0x006d2829 in GetPolyData (addr=117640544)
    at src/mame/video/namcos22.c:1027
        result = 1
#7 0x006d2829 in GetPolyData (addr=117640544)
    at src/mame/video/namcos22.c:1027
        result = 1
#8 0x006d2829 in GetPolyData (addr=117630048)
    at src/mame/video/namcos22.c:1027
        result = 120629304
#9 0x006d2829 in GetPolyData (addr=117630048)
    at src/mame/video/namcos22.c:1027
        result = 0
#10 0x006d2829 in GetPolyData (addr=117630048)
    at src/mame/video/namcos22.c:1027
        result = 10361537
#11 0x006d2829 in GetPolyData (addr=30) at src/mame/video/namcos22.c:1027
        result = 240
#12 0x006d2829 in GetPolyData (addr=117630048)
    at src/mame/video/namcos22.c:1027
        result = 0
#13 0x006d2829 in GetPolyData (addr=116800520)
    at src/mame/video/namcos22.c:1027
        result = 0
#14 0x006d2829 in GetPolyData (addr=4) at src/mame/video/namcos22.c:1027
        result = 0
#15 0x006d2829 in GetPolyData (addr=4) at src/mame/video/namcos22.c:1027
        result = 42689790
#16 0x006d2829 in GetPolyData (addr=2147348480)
    at src/mame/video/namcos22.c:1027
        result = 2147348480
#17 0x006d2829 in GetPolyData (addr=1) at src/mame/video/namcos22.c:1027
        result = 2147348480
#18 0x006d2829 in GetPolyData (addr=0) at src/mame/video/namcos22.c:1027
        result = 9
#19 0x006d2829 in GetPolyData (addr=4199040) at src/mame/video/namcos22.c:1027
        result = 0
#20 0x006d2829 in GetPolyData (addr=Cannot access memory at address 0x8
) at src/mame/video/namcos22.c:1027
        result = Cannot access memory at address 0xfffffffc

Bakctrace for victlapw:
#0 0x006d2829 in GetPolyData (addr=963327) at src/mame/video/namcos22.c:1027
        result = 1043576925
#1 0x006d2829 in GetPolyData (addr=120638432)
    at src/mame/video/namcos22.c:1027
        result = 963214
#2 0x006d2829 in GetPolyData (addr=120638432)
    at src/mame/video/namcos22.c:1027
        result = 963214
#3 0x006d2829 in GetPolyData (addr=120638432)
    at src/mame/video/namcos22.c:1027
        result = 1065353216
#4 0x006d2829 in GetPolyData (addr=120638432)
    at src/mame/video/namcos22.c:1027
        result = 120630152
#5 0x006d2829 in GetPolyData (addr=120638432)
    at src/mame/video/namcos22.c:1027
        result = 0
#6 0x006d2829 in GetPolyData (addr=117640616)
    at src/mame/video/namcos22.c:1027
        result = 1
#7 0x006d2829 in GetPolyData (addr=117640616)
    at src/mame/video/namcos22.c:1027
        result = 1
#8 0x006d2829 in GetPolyData (addr=117630160)
    at src/mame/video/namcos22.c:1027
        result = 120630152
#9 0x006d2829 in GetPolyData (addr=117630160)
    at src/mame/video/namcos22.c:1027
        result = 0
#10 0x006d2829 in GetPolyData (addr=117630160)
    at src/mame/video/namcos22.c:1027
        result = 10361537
#11 0x006d2829 in GetPolyData (addr=103) at src/mame/video/namcos22.c:1027
        result = 240
#12 0x006d2829 in GetPolyData (addr=117630160)
    at src/mame/video/namcos22.c:1027
        result = 0
#13 0x006d2829 in GetPolyData (addr=116800520)
    at src/mame/video/namcos22.c:1027
        result = 0
#14 0x006d2829 in GetPolyData (addr=6) at src/mame/video/namcos22.c:1027
        result = 0
#15 0x006d2829 in GetPolyData (addr=6) at src/mame/video/namcos22.c:1027
        result = 42689790
#16 0x006d2829 in GetPolyData (addr=2147348480)
    at src/mame/video/namcos22.c:1027
        result = 2147348480
#17 0x006d2829 in GetPolyData (addr=1) at src/mame/video/namcos22.c:1027
        result = 2147348480
#18 0x006d2829 in GetPolyData (addr=0) at src/mame/video/namcos22.c:1027
        result = 9
#19 0x006d2829 in GetPolyData (addr=4199040) at src/mame/video/namcos22.c:1027
        result = 0
#20 0x006d2829 in GetPolyData (addr=Cannot access memory at address 0x8
) at src/mame/video/namcos22.c:1027
        result = Cannot access memory at address 0xfffffffc

Essentially the same crash
Flags
Regression Version
Affected Sets / Systems acedrvrw, victlapw
Attached Files
 

- Relationships
related to 00136Resolvedhap acedrvrw: I was passing the first checkpoint on the first track and was heading off the track, it crashed. 

-  Notes
User avatar (01615)
Canim (Senior Tester)
2008-07-14 09:44

They also crash in 64bit under Vista64.
User avatar (01624)
Tafoid (Administrator)
2008-07-14 13:42

Crashes here on 32-bit - Backtraces added
User avatar (01633)
Firewave (Developer)
2008-07-14 17:36
edited on: 2009-05-17 19:46

There is a similar crash in the same function filed under 00136

User avatar (01634)
Tafoid (Administrator)
2008-07-14 17:42

Thanks for the heads-up. I have to stop assuming that the OP of a bug already checks this stuff...